import type { ITextTrack } from '@vkontakte/videoplayer-core';
export declare class NativeSubtitles {
    private readonly video;
    constructor(video: HTMLVideoElement);
    private getTracksArray;
    attach(track: ITextTrack, showing?: boolean): void;
    detachAll(): void;
    updateSrc(track: ITextTrack): void;
    getCurrentShowingId(): string | null;
}
